About Meresco
 
Login
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/meresco/harvester/datastore.py", line 53, in getData
    d = JsonDict.load(fpath)
  File "/usr/lib/python3/dist-packages/meresco/components/json/objects.py", line 67, in load
    with open(fp) as fp:
FileNotFoundError: [Errno 2] No such file or directory: '/data/meresco-harvester/data/prod8.domain'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/meresco/html/dynamichtml.py", line 303, in handleRequest
    for line in generators:
  File "/usr/lib/python3/dist-packages/meresco/html/dynamichtml.py", line 217, in _
    yield main(scheme=scheme, netloc=netloc, path=path, query=query, Headers=Headers, arguments=arguments, pipe=nextGenerator, **kwargs)
  File "/usr/lib/python3/dist-packages/meresco/harvester/controlpanel/dynamic/showHarvesterStatus.sf", line 36, in main
    yield page.layoutWithMenu(_contents, additionalScripts=['/showHarvesterStatus/js'], **kwargs)
  File "/usr/lib/python3/dist-packages/meresco/harvester/controlpanel/dynamic/page.sf", line 157, in layoutWithMenu
    yield inner(**kwargs)
  File "/usr/lib/python3/dist-packages/meresco/harvester/controlpanel/dynamic/showHarvesterStatus.sf", line 73, in _contents
    statuses = observable.call.getStatus(domainId=domainId, repositoryGroupId=repositoryGroupId, repositoryId=repositoryId)
  File "/usr/lib/python3/dist-packages/weightless/core/_observable.py", line 164, in call
    c, v, t = exc_info(); raise v.with_traceback(t.tb_next)
  File "/usr/lib/python3/dist-packages/meresco/harvester/repositorystatus.py", line 56, in getStatus
    return JsonList([x for x in asList(self._getStatus(**kwargs))])
  File "/usr/lib/python3/dist-packages/weightless/core/utils/_utils.py", line 48, in asList
    return list(compose(g))
  File "/usr/lib/python3/dist-packages/meresco/harvester/repositorystatus.py", line 63, in _getStatus
    groupIds = [repositoryGroupId] if repositoryGroupId else self.call.getRepositoryGroupIds(domainId=domainId)
  File "/usr/lib/python3/dist-packages/weightless/core/_observable.py", line 164, in call
    c, v, t = exc_info(); raise v.with_traceback(t.tb_next)
  File "/usr/lib/python3/dist-packages/meresco/harvester/harvesterdata.py", line 77, in getRepositoryGroupIds
    return self.getDomain(domainId).get('repositoryGroupIds', [])
  File "/usr/lib/python3/dist-packages/meresco/harvester/harvesterdata.py", line 59, in getDomain
    return self._store.getData(identifier, 'domain', guid=guid)
  File "/usr/lib/python3/dist-packages/meresco/harvester/datastore.py", line 55, in getData
    raise ValueError(filename)
ValueError: prod8.domain